#!/bin/sh 

echo "Virex 7.5 Processes - HALT" 
 echo "--------------------------" 
 echo "This will shutdown Virex 7.5. If you wish to" 
 echo "proceed, authenticate below or close this window" 
 echo "if you wish to cancel." 
 sudo echo "" 

# Stop all the daemons that are currently running 

cd / 

pid=`ps -a -U root -o "pid" -o "command" | awk -F " " '{ if ( $2 == "/usr/local/vscanx/VShieldCheck" ) {print $1} }'` 
 sudo kill -1 ${pid} 2>/dev/null 

pid=`ps -a -U root -o "pid" -o "command" | awk -F " " '{ if ( $2 == "/usr/local/vscanx/VShieldBkgd" ) {print $1} }'` 
 sudo kill -1 ${pid} 2>/dev/null 

pid=`ps -a -U root -o "pid" -o "command" | awk -F " " '{ if ( $2 == "/usr/local/vscanx/VShieldCore" ) {print $1} }'` 
 sudo kill -1 ${pid} 2>/dev/null 

pid=`ps -a -U root -o "pid" -o "command" | awk -F " " '{ if ( $2 == "/usr/local/vscanx/VShield" ) {print $1} }'` 
 sudo kill -1 ${pid} 2>/dev/null 

pid=`ps -a -U root -o "pid" -o "command" | awk -F " " '{ if ( $2 == "/usr/local/vscanx/VShieldMount" ) {print $1} }'` 
 sudo kill -1 ${pid} 2>/dev/null 

pid=`ps -a -U root -o "pid" -o "command" | awk -F " " '{ if ( $2 == "/usr/local/vscanx/VShieldUpdate" ) {print $1} }'` 
 sudo kill -1 ${pid} 2>/dev/null 

pid=`ps -a -U root -o "pid" -o "command" | awk -F " " '{ if ( $2 == "/usr/local/vscanx/VirexLogin" ) {print $1} }'` 
 sudo kill -1 ${pid} 2>/dev/null 

echo "End of Command File Virex Processes Halted" 

